Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.53
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.tomcat.util.http
Enum Parameters.FailReason

    java.lang.Object
      java.lang.Enum<Parameters.FailReason>
          org.apache.tomcat.util.http.Parameters.FailReason

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Parameters.FailReason>

Enclosing class:
  Parameters

    public static enum Parameters.FailReason

extends java.lang.Enum<Parameters.FailReason>

Enum Constant Summary
`CLIENT_DISCONNECT`
`INVALID_CONTENT_TYPE`
`IO_ERROR`
`MULTIPART_CONFIG_INVALID`
`NO_NAME`
`POST_TOO_LARGE`
`REQUEST_BODY_INCOMPLETE`
`TOO_MANY_PARAMETERS`
`UNKNOWN`
`URL_DECODING`

Method Summary
`static Parameters.FailReason` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Parameters.FailReason[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CLIENT_DISCONNECT

    public static final Parameters.FailReason CLIENT_DISCONNECT

### MULTIPART_CONFIG_INVALID

    public static final Parameters.FailReason MULTIPART_CONFIG_INVALID

### INVALID_CONTENT_TYPE

    public static final Parameters.FailReason INVALID_CONTENT_TYPE

### IO_ERROR

    public static final Parameters.FailReason IO_ERROR

### NO_NAME

    public static final Parameters.FailReason NO_NAME

### POST_TOO_LARGE

    public static final Parameters.FailReason POST_TOO_LARGE

### REQUEST_BODY_INCOMPLETE

    public static final Parameters.FailReason REQUEST_BODY_INCOMPLETE

### TOO_MANY_PARAMETERS

    public static final Parameters.FailReason TOO_MANY_PARAMETERS

### UNKNOWN

    public static final Parameters.FailReason UNKNOWN

### URL_DECODING

    public static final Parameters.FailReason URL_DECODING

Method Detail

### values

    public static final Parameters.FailReason[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Parameters.FailReason c : Parameters.FailReason.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Parameters.FailReason valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.53
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.